aboutsummaryrefslogtreecommitdiff
path: root/.travis/before_install.sh
diff options
context:
space:
mode:
Diffstat (limited to '.travis/before_install.sh')
-rwxr-xr-x.travis/before_install.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/.travis/before_install.sh b/.travis/before_install.sh
new file mode 100755
index 0000000000..800d490abb
--- /dev/null
+++ b/.travis/before_install.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+#
+# Copyright (c) 2018 The Bitcoin Core developers
+# Distributed under the MIT software license, see the accompanying
+# file COPYING or http://www.opensource.org/licenses/mit-license.php.
+
+export LC_ALL=C
+
+PATH=$(echo $PATH | tr ':' "\n" | sed '/\/opt\/python/d' | tr "\n" ":" | sed "s|::|:|g")
+export PATH
+
+BEGIN_FOLD () {
+ echo ""
+ CURRENT_FOLD_NAME=$1
+ echo "travis_fold:start:${CURRENT_FOLD_NAME}"
+}
+
+END_FOLD () {
+ RET=$?
+ echo "travis_fold:end:${CURRENT_FOLD_NAME}"
+ return $RET
+}
+